List clients
curl --request GET \
--url https://www.ruddr.io/api/workspace/clients \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/clients"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "4d7a1c3e-8f2b-4a90-b5d6-e9c1f0a82d47",
"key": "acme-corp",
"name": "Acme Corp",
"code": "ACM-001",
"currency": "USD",
"notes": "Key enterprise client.",
"emails": [
"billing@acmecorp.com"
],
"streetAddress": "100 Market St, Suite 500",
"invoiceDetailsSource": "custom",
"invoiceSubject": "Invoice for professional services",
"invoiceNotes": "Payment due within 30 days of receipt.",
"invoiceEmailSubject": "Invoice from Ruddr",
"invoiceEmailBody": "Please find your invoice attached.",
"isInternal": false,
"recordStatusId": "active",
"createdAt": "2025-01-15T20:47:03.284Z",
"owner": {
"id": "e5c8a2f4-3d19-4b76-a0e7-9f1d6c4b28a3",
"name": "Jane Smith"
},
"practice": {
"id": "b82e4f61-a9c3-4d17-8e05-6f3b2a7d90c1",
"name": "Consulting"
},
"industry": {
"id": "bc52e68a-96d9-46bd-881c-bda8d5e07053",
"name": "Technology"
},
"location": {
"id": "ae469b03-51f3-47c2-be12-a319e0ce7cd8",
"name": "New York"
},
"tags": [
{
"id": "91d4e7a3-f826-4c10-b5a8-0e3d9c1f72b4",
"name": "Enterprise"
}
],
"invoicePaymentTerm": {
"id": "7a3f1d8e-c249-4b65-91d7-e0a4f8b2c603",
"name": "Net 30"
},
"salesRepresentative": {
"id": "c6f2b081-d47a-4e93-a8d5-3e1c7f9a204b",
"name": "John Davis"
},
"useWorkspaceInvoiceDetails": false,
"businessUnit": {
"id": "2e8d5a7c-f314-4b09-96e1-a0c3d8f4b172",
"name": "North America"
},
"integrations": [
{
"type": "xero",
"connectionId": "9d2f6b1a-4c83-4e57-bf09-1a6d3e8c20b4",
"externalId": "5e1a9c47-2b86-4d30-9f12-7a4c8e3b50d9"
},
{
"type": "qbo",
"connectionId": "c4a7e2f9-83b1-4d65-9e07-2f1b6a4c80d3",
"externalId": "142"
}
]
}
],
"hasMore": false
}{
"status": 400,
"message": "Parameter 'startingAfter' is not a valid UUID."
}Clients
List clients
GET
/
clients
List clients
A person or organization using your services. All projects are tied to a client.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.
A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.
The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.
A client code to filter clients by code.
⌘I